* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    box-sizing: border-box;
    font-family: "Helvetica", "Arial", sans-serif;
    font-size: 20px;    
    color: #000;
    background:linear-gradient(to bottom, #b2b3b4, #3a4068);
    background-repeat: no-repeat;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
}

header h1, h2 {
    text-transform: uppercase;
}

body {
    width: 100%;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
    text-align: center;
}
body > main {
    flex:1 1 auto;
    min-height:0;
}

h3 {
    margin-top: 30px;
}

main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 20px;
    box-sizing: border-box;
}

.frame {
    max-width: 1280px;
    margin: 0 auto;
}

.plato {
    min-width: 550px;
    max-width: 600px;
    margin: 20px 0;
    padding: 5px;
    border-radius: 25px;
    text-align: center;
    text-transform: uppercase;
    background-color: rgba(47, 73, 74, 0.5);
    border: 2px solid #000;
    transition: transform 0.3s;
}

.plato:hover {
    transform: scale(1.02);
}

.plato, [id^=region], [id^=point], [id^=kind], button {
    font-weight: bold;
    width: 50%;
}

.qr-code {
    margin: 20px 0;
    padding: 10px;
    border-radius: 25px;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    background-color: rgba(47, 73, 74, 0.5);
    border: 2px solid #000;
    transition: transform 0.3s;
}

.qr-code:hover {
    transform: scale(1.02);
}

.options {
    font-size: 18px;
    width:90%;
}

.button {
    width:90%;
    font-size: 20px;
    text-transform: uppercase;
    background-color: #bfbfc3;
    border: none;
    border-radius: 25px;
    padding: 5px 20px;
    margin-top: 5px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
    justify-content: center;
}

.button:hover {
    background-color: #aeaeb3;
    transform: scale(1.02);
}

.list {
    margin: 0 -10px 0 20px;
}

.block {
    justify-content: center;
    width: auto;
    margin: 10px 0;
    border-radius: 25px;
    text-align: justify;
    background-color: #e5e6e2;
    border: 1px solid #000;
}

.block a {
    text-align: center;
}

.preview {
    max-width: 800px;
    display: inline-block;
    flex-wrap: wrap;
}

.preview img {
    width: 300px;
    float:left;
    margin: 5px 10px;
    border-radius: 25px;
    transition: border 0.3s, box-shadow 0.3s;
}

.preview img:hover {
    border: 3px solid gold;
    box-shadow: 0 0 15px rgba(255, 215, 0, 0.8);
}

.preview h3 {
    margin: auto;
}

.preview p {
    max-width: auto;
    padding: 0 10px;
}

.button-call, .button-more {
    display: flex;
    padding: 5px;
    border-radius: 25px;
    text-decoration: none;
    margin: 5px 10px;
    justify-content: center;
    border: 2px solid transparent;
    transition: background-color 0.3s, border-color 0.3s, transform 0.3s;
    background-color: #0d144a;
    color: white;
}

.button-call {
    border-color: green;
}

.button-more {
    border-color: gray;
}

.button-abuse, .button-action {
    padding: 1px;
    border-radius: 25px;
    font-size:12px;
    text-decoration: none;
    margin: 5px 10px;
    justify-content: center;
    border: 0 solid transparent;
    transition: background-color 0.3s, border-color 0.3s, transform 0.3s;
    background-color: #000;
    color: white;
}

.button-call:hover, .button-more:hover {
    transform: scale(1.02);
}

.button-call:hover {
    background-color: green;
}

.button-more:hover, .button-abuse:hover, .button-action:hover {
    background-color: gray;
}

.data {
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
}
.main-data {
    display: flex;
    align-items: flex-start;
}
span {
    font-size:18px;
    font-weight: bold;
    
}
.main-data img {
    width: 300px;
    float:left;
    margin:0 10px;
    border-radius: 25px;
    transition: border 0.3s, box-shadow 0.3s;
}

.maps img {
    width:auto;
    float: none;
    text-decoration: none;
    border-radius: 5px;
}
.info {
    max-width: 100%;
    padding: 0 10px;
    box-sizing: border-box;
}
.info p {
    margin-bottom: 10px;
    max-width: 100%;
    width: 100%;
    box-sizing: border-box;
    word-wrap: break-word;
    overflow-wrap: break-word;
    hyphens: auto;
    text-align: justify;
}
.info * {
    max-width: 100%;
    box-sizing: border-box;
}
.info a:not(.button-call) {
    display: flex;
    display: inline-block;
    padding: 1px;
    border-radius: 25px;
    font-size:12px;
    text-decoration: none;
    justify-content: center;
    border: 0 solid transparent;
    transition: background-color 0.3s, border-color 0.3s, transform 0.3s;
    background-color: #0d144a;
    color: white;
}
.info a:not(.button-call):hover {
    background-color: gray;
}
.price p {
    width:1000px;
    text-align:left;
}
.images img:hover {
    transform: scale(1.02);
    transition: background-color 0.3s, transform 0.3s;
}
.signup {
    margin-bottom:30px;
}
.signup h3 {
    color:green;
}
.signup form {
    margin:30px auto;
    text-align:left;
}

.alert {
    margin-top: 50px;
}

#patronname, #address, #time, #price1, #price2, #price3, #price4, #price5 {
    background-color:#b9c2ff;
}
[id^="regi"] {
    background-color:#b9c2ff;
}
.signup input[type=file] {
    display: flex;
    padding: 10px 20px;
    border-radius: 25px;
    text-decoration: none;
    margin: 5px 10px;
    justify-content: center;
    border: 2px solid transparent;
    transition: background-color 0.3s, border-color 0.3s, transform 0.3s;
    background-color: #0d144a;
    color: white;
}
.signup input[type=file]:hover {
    background-color: #333;
    border-color: #fff;
    transform: scale(1.05);
}
.signup input[type=text], input[type=password], textarea {
    margin-bottom: 10px;
    width: 800px;
    padding: 5px 10px;
    box-sizing: border-box;
    border: 3px solid #000;
    border-radius: 4px;
    font-size: 18px;
    font-weight: bold;
}
input[type=checkbox] {
    margin: 10px;
    height: 20px;
    width: 20px;
    border: 3px solid #000055;
}
.signup input[type=submit] {
    display: flex;
    width: 100%;
    padding: 10px;
    margin-bottom: 100px;
    border-radius: 25px;
    text-decoration: none;
    font-size:large;
    justify-content: center;
    border: 2px solid transparent;
    transition: background-color 0.3s, border-color 0.3s, transform 0.3s;
    background-color: #0d144a;
    color: white;
}
.signup input[type=submit]:hover {
    border-color: gray;
}
.signup [id^=password] {
    margin-top:10px;
    font-size:30px;
    text-decoration: none;
    color:green;
}
.signup [id^=recover] {
    display: block;
    margin-bottom:20px;
    text-decoration: none;
    color:#000;
    font-weight: bold;
}
.services {
    margin: 30px 0;
}
.regions, .fees {
    margin-bottom: 30px;
}

.inter-menu {
    margin:20px;
}
.inter-menu li {
    display: inline;
    color:#000;
    text-decoration:none;
}
.inter-menu li:last-child a {
    font-weight: normal;
    color: #fff;
}
.inter-menu a {
    color:#000;
    text-decoration:none;
    font-weight: bold;
    margin:20px;
}
.inter-menu a.disabled {
    color: gray;
}

.status {
    margin-top:20px;
    font-weight: bold;
}

.balance {
    margin-bottom:20px;
    font-weight: bold;
}

.attention {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #f2d878;
    border-radius: 10px;
    padding: 5px;
    text-align: left;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    max-width: 800px;
    margin: 0 auto 20px;
}
.terms-check {
  display: flex;
  align-items: center;
  gap: 8px;
}
.attention form button {
    width: 400px;
    display: block;
    margin: 15px auto 0;
}

.attention input[type=text] {
    margin-bottom: 10px;
    width: 400px;
    padding: 5px 10px;
    box-sizing: border-box;
    border: 3px solid #000;
    border-radius: 4px;
    font-size: 18px;
    font-weight: bold;
}

button {
    background-color: #0d144a;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #4f297c;
}

.photos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 30px;
}
.photos img, .images img, .office img {
    margin: 5px 10px;
}
.photos input[type="file"] {
    padding: 5px;
    border-radius: 25px;
    border: 2px solid transparent;
    background-color: #000;
    color: white;
}
.photos button {
    width: auto;
}
.edit-photo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 200px;
    max-width: 300px;
    margin: 10px;
}
.edit-photo input[type="submit"] {
    background-color: #0d144a;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    font-weight:bold;
    margin:10px;
}
.edit-photo button {
    background-color: #000;
}

.sitemap li, a {
    list-style: none;
    text-decoration:none;
    font-size: 25px;
}

.terms {
    text-align: justify;
}

footer {
    align-self: stretch;
    box-sizing: border-box;
    text-align: center;
    padding: 20px;
    background-color: #0d144a;
    color: #fff;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.5);
}

footer li {
    display: inline;
}

footer a {
    color: #aeaeb3;
    text-decoration: none;
    padding: 8px 16px;
    font-size: 16px;
    transition: color 0.3s;
}

footer a:hover {
    color: #bfbfc3;
}

.cookie-banner {
    position: fixed;
    left: 20px;
    right: 20px;
    bottom: 20px;
    z-index: 1000;

    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;

    padding: 16px 20px;
    background:#f2d878;
    //color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.25);
    font-family: Arial, sans-serif;
}
.cookie-banner a {
    font-size: 18px;
}
.cookie-banner button {
    padding: 8px 20px;
    border: 0;
    border-radius: 4px;
    background: green;
    //color: #222;
    cursor: pointer;
    font-size: 14px;
}
.cookie-banner button:hover {
    background: #4f297c;
}

@media only screen and (max-width: 768px) {
    header h1, h2 {
        font-size: 28px;
    }
    .list {
	margin: 0;
    }
    .price p,
    .signup p,
    .signup input[type="text"],
    input[type="password"],
    textarea,
    .attention input[type="text"],
    .attention form button,
    .block,
    .plato,
    .preview,
    .frame {
        width: 100% !important;
        max-width: 100% !important;
        box-sizing: border-box !important;
    }

    .info p,
    .signup p {
        word-wrap: break-word;
        overflow-wrap: break-word;
        hyphens: auto;
    }

    body, html {
        overflow-x: hidden;
    }
    .inter-menu ul {
	display: flex;
	flex-direction: column;
    }
    .inter-menu li, .inter-menu li a {
	width: 100%;
	margin: 2px;
	padding: 2px;
    }
    .inter-menu li a {
	display: block;
    }

    .footer-menu ul {
	flex-direction: column;
    }
    .footer-menu li {
	width: 100%;
    }
    .footer-menu li a {
	display: block;
    }

    .cookie-banner {
        flex-direction: column;
        align-items: stretch;
    }

    .cookie-banner button {
        width: 100%;
    }
}

@media only screen and (max-width: 600px) {
    .plato {
	min-width: 96%;
	max-width: 590px;
	justify-content: center;
	margin:5px 10px;
    }
    .list {
	margin: 0;
    }
    .block {
	max-width: 590px;
    }
    .preview {
	max-width: 600px;
    }
    .preview h3 {
	font-size: 25px;
    }
    .frame, .info, .info p, .price, .price p {
	max-width:596px;
    }
    .signup, .signup form, .signup input[type=text], input[type=password], .signup textarea {
	max-width:596px;
    }
}

@media only screen and (max-width: 480px) {
    header h1, h2 {
	font-size: 20px;
    }
    .frame {
	max-width: 100%;
    }
    .plato {
	min-width: 96%;
	max-width: 470px;
	justify-content: center;
	margin:5px 10px;
    }
    .plato [id^="region"], .plato [id^="point"], .plato [id^="kind"], .plato button {
	width: 100%;
    }
    .list {
	margin: 0;
    }
    .block {
	max-width: 470px;
    }
    .main-data {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
    }
    .main-data img {
	width: 100%;
    }
    .main-data, .maps img {
	width: auto;
    }
    h3 {
	font-size: 18px;
    }
    .frame, .info, .info p, .price, .price p {
	max-width:100%;
    }
    .images img, .office img {
	width: 90%;
    }
    .preview {
	max-width: 480px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
    }
    .preview img, .button-more {
	width: 96%;
    }
    .signup, .signup form, .signup input[type=text], input[type=password], .signup textarea {
	max-width:100%;
    }
    .edit-photo > form > a {
	display: block;
	width: 100%;
    }
    .edit-photo > form > a > img, officeimg {
	width: 100%;
	height: auto;
    }
}

@media only screen and (max-width: 360px) {
    header h1, h2 {
        font-size: 20px;
    }
    .plato {
	max-width:96%;
    }
    .block {
	max-width: 350px;
    }
    .preview img {
	width: 100%;
    }
    .list {
	margin: 0;
    }
    .block {
	width:96%;
    }
    .preview {
	max-width: 360px;
	display: flex;
	flex-wrap: wrap;
    }
    .main-data {
	display: flex;
	flex-wrap: wrap;
    }
    .main-data img {
	width: 100%;
    }
    .main-data, .maps img {
	width: auto;
    }
    .price p {
	width:auto;
    }
    .signup p {
	max-width: 360px;
    }
    .signup input[type=text], input[type=password], textarea {
	max-width: 360px;
	font-size: 14px;
	margin-left:0;
    }
    .signup button {
	width:auto;
    }
    .attention button {
	width:300px;
    }
    .attention form button {
	width:300px;
    }
    .attention input[type=text] {
	width: 300px;
    }
    .button-more {
	width:100%;
    }
    .info {
        max-width: 100%;
        padding: 0 10px;
        box-sizing: border-box;
    }
    .info p {
        max-width: 100%;
        width: 100%;
        box-sizing: border-box;
        word-wrap: break-word;
        overflow-wrap: break-word;
        hyphens: auto;
    }
    .info * {
        max-width: 100%;
        box-sizing: border-box;
    }
    footer ul li a span {
	display: inline-block;
	max-width: 100%;
	word-wrap: break-word;
	overflow-wrap: break-word;
	hyphens: auto;
	box-sizing: border-box;
    }
    footer ul li,
    footer ul li a {
	max-width: 100%;
	display: block;
	box-sizing: border-box;
    }
}

